| Home | Libraries | People | FAQ | More

## Struct template value_traits

boost::intrusive::value_traits

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename ValueTraits>
    struct value_traits {
    };

## Description

This option setter specifies the relationship between the type to be managed by the container (the value type) and the node to be used in the node algorithms. It also specifies the linking policy.